<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><title>R: Add Other Graphical Items to Ordination Diagrams</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="stylesheet" type="text/css" href="../../R.css">
</head><body>

<table width="100%" summary="page for ordisymbol {BiodiversityR}"><tr><td>ordisymbol {BiodiversityR}</td><td align="right">R Documentation</td></tr></table>
<h2>Add Other Graphical Items to Ordination Diagrams</h2>


<h3>Description</h3>

<p>
Functions to add some other graphical itmes to ordination diagrams than provided within <STRONG>vegan</STRONG> by <code><a href="../../vegan/html/ordihull.html">ordihull</a></code>, <code><a href="../../vegan/html/ordihull.html">ordispider</a></code>, <code><a href="../../vegan/html/ordihull.html">ordiarrows</a></code>, <code><a href="../../vegan/html/ordihull.html">ordisegments</a></code>, <code><a href="../../vegan/html/ordihull.html">ordigrid</a></code>, <code><a href="../../vegan/html/ordihull.html">ordiellipse</a></code>, <code><a href="../../vegan/html/ordihull.html">ordicluster</a></code> and <code><a href="../../vegan/html/spantree.html">lines.spantree</a></code>.
</p>


<h3>Usage</h3>

<pre>
ordisymbol(ordiplot,y,factor,col=1,rainbow=T,legend=T,...)
ordibubble(ordiplot,var,...)
ordihull2(ordiplot,groups,display = "sites",draw = c("lines", "polygon"), 
    show.groups, return.index=F, ...)
ordispider2(ordiplot, groups, display = "sites", 
    w = weights(ordiplot, display), show.groups, return.index=F,...) 
ordicluster2(ordiplot,cluster,mingroups=1,maxgroups=nrow(ordiplot$sites),...)
ordinearest(ordiplot,dist,...)
ordivector(ordiplot,spec,lty=2,...)
</pre>


<h3>Arguments</h3>

<table summary="R argblock">
<tr valign="top"><td><code>ordiplot</code></td>
<td>
An ordination graph created by <code><a href="../../vegan/html/ordiplot.html">ordiplot</a></code> (<STRONG>vegan</STRONG>). </td></tr>
<tr valign="top"><td><code>y</code></td>
<td>
Environmental data frame. </td></tr>
<tr valign="top"><td><code>factor</code></td>
<td>
Variable of the environmental data frame that defines subsets to be given different symbols. </td></tr>
<tr valign="top"><td><code>var</code></td>
<td>
Continous variable of the environmental dataset or species from the community dataset. </td></tr>
<tr valign="top"><td><code>col</code></td>
<td>
Colour (as <code><a href="../../graphics/html/points.html">points</a></code>). </td></tr>
<tr valign="top"><td><code>rainbow</code></td>
<td>
Use rainbow colours.  </td></tr>
<tr valign="top"><td><code>legend</code></td>
<td>
Add the legend (you need to click in the graph where the legend needs to be plotted). </td></tr>
<tr valign="top"><td><code>groups</code></td>
<td>
Factor giving the groups for which the graphical item is drawn.(as in <code><a href="../../vegan/html/ordihull.html">ordihull</a></code> and <code><a href="../../vegan/html/ordihull.html">ordispider</a></code>).</td></tr>
<tr valign="top"><td><code>display</code></td>
<td>
Item to be displayed (as in <code><a href="../../vegan/html/ordihull.html">ordihull</a></code> and <code><a href="../../vegan/html/ordihull.html">ordispider</a></code>).</td></tr>
<tr valign="top"><td><code>draw</code></td>
<td>
Use either lines or polygons (as in <code><a href="../../vegan/html/ordihull.html">ordihull</a></code>).</td></tr>
<tr valign="top"><td><code>show.groups</code></td>
<td>
Show only given groups. This can be a vector, or TRUE if you want to show items for which condition is TRUE (as in <code><a href="../../vegan/html/ordihull.html">ordihull</a></code> and <code><a href="../../vegan/html/ordihull.html">ordispider</a></code>).</td></tr>
<tr valign="top"><td><code>w</code></td>
<td>
Weights used to find the average within group (as in <code><a href="../../vegan/html/ordihull.html">ordispider</a></code>).</td></tr>
<tr valign="top"><td><code>return.index</code></td>
<td>
Return the selection criteria of points that are closest to their ordispider centre.</td></tr>
<tr valign="top"><td><code>cluster</code></td>
<td>
Cluster object. </td></tr>
<tr valign="top"><td><code>mingroups</code></td>
<td>
Minimum of clusters to be plotted. </td></tr>
<tr valign="top"><td><code>maxgroups</code></td>
<td>
Maximum of clusters to be plotted.. </td></tr>
<tr valign="top"><td><code>dist</code></td>
<td>
Distance matrix. </td></tr>
<tr valign="top"><td><code>spec</code></td>
<td>
Species name from the community dataset. </td></tr>
<tr valign="top"><td><code>lty</code></td>
<td>
Line type as specified for <code><a href="../../graphics/html/par.html">par</a></code>. </td></tr>
<tr valign="top"><td><code>...</code></td>
<td>
Other arguments passed to functions <code><a href="../../graphics/html/points.html">points</a></code>, <code><a href="../../graphics/html/symbols.html">symbols</a></code>, <code><a href="../../vegan/html/ordihull.html">ordihull</a></code> or <code><a href="../../graphics/html/arrows.html">arrows</a></code>. </td></tr>
</table>

<h3>Details</h3>

<p>
Function <code>ordisymbol</code> plots different levels of the specified variable in different symbols and different colours  (if <code>rainbow</code> option was selected). When you opt to add the legend, then you need to click in the ordination graph to indicate the position of the legend.
</p>
<p>
Function <code>ordibubble</code> draws bubble diagrams indicating the value of the specified continuous variable. Circles indicate positive values, squares indicate negative values.
</p>
<p>
Functions <code>ordihull2</code> and <code>ordispider2</code> have the same behaviour as their <STRONG>vegan</STRONG> equivalents (<code><a href="../../vegan/html/ordihull.html">ordihull</a></code> and <code><a href="../../vegan/html/ordihull.html">ordispider</a></code>), except that hulls and spiderplots are only drawn for those points that are closest to their own group average.
</p>
<p>
Function <code>ordicluster2</code> provides an alternative method of overlaying information from hierarchical clustering on an ordination diagram than provided by function <code><a href="../../vegan/html/ordihull.html">ordicluster</a></code>. The method draws convex hulls around sites that are grouped into the same cluster. You can select the minimum and maximum number of clusters that are plotted (i.e. the range of clustering steps to be shown).
</p>
<p>
Function <code>ordinearest</code> draws a vector from each site to the site that is nearest to it as determined from a distance matrix. When you combine the method with <code><a href="../../vegan/html/spantree.html">lines.spantree</a></code> using the same distance measure, then you can evaluate in part how the minimum spanning tree was constructed. 
</p>
<p>
Function <code>ordivector</code> draws a vector for the specified species on the ordination diagramme and draws perpendicular lines from each site to a line that connects the origin and the head of species vector. This method helps in the biplot interpretation of a species vector as described by Jongman, ter Braak and van Tongeren (1995).
</p>


<h3>Value</h3>

<p>
These functions add graphical items to an existing ordination diagram.</p>

<h3>Author(s)</h3>

<p>
Roeland Kindt (World Agroforestry Centre) and Jari Oksanen (<code>ordinearest</code>)
</p>


<h3>References</h3>

<p>
Jongman, R.H.G, ter Braak, C.J.F &amp; van Tongeren, O.F.R. (1987). 
Data Analysis in Community and Landscape Ecology. Pudog, Wageningen.
</p>
<p>
Kindt, R. &amp; Coe, R. (2005). 
Tree diversity analysis: A manual and
software for common statistical methods for ecological and
biodiversity studies.
</p>
<p>
<a href="http://www.worldagroforestry.org/treesandmarkets/tree_diversity_analysis.asp">http://www.worldagroforestry.org/treesandmarkets/tree_diversity_analysis.asp</a>
</p>


<h3>Examples</h3>

<pre>
library(vegan)
data(dune)
data(dune.env)
Ordination.model1 &lt;- rda(dune)
plot1 &lt;- ordiplot(Ordination.model1, choices=c(1,2), scaling=2)
ordisymbol(plot1,dune.env,"Management",legend=FALSE)
## Make sure you click in the graph to show where the legend should be placed
## In case that you choose option of legend=TRUE
plot2 &lt;- ordiplot(Ordination.model1, choices=c(1,2), scaling=1)
distmatrix &lt;- vegdist(dune, method='bray')
cluster &lt;- hclust(distmatrix, method='single')
ordicluster2(plot2, cluster)
ordinearest(plot2,distmatrix,col=2)
ordivector(plot2,"Agrsto",lty=2)
</pre>



<hr><div align="center">[Package <em>BiodiversityR</em> version 1.0 <a href="00Index.html">Index]</a></div>

</body></html>
